%define name sphynx-vpn
%define version 1.0
%define release 44eol

Summary: Gestionnaire de configurations VPN en xml
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: Packaging 
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires:  perl perl-doc perl-AppConfig perl-Template perl-XML-LibXML perl-XML-LibXSLT 
AutoReq:      no
AutoReqProv:  no
%description
Pour toute information complmentaire, veuillez vous rendre
sur le site du Projet Sphinx  l'adresse suivante : 

TODO 

Reportez-vous aussi s'il vous plat au site gnrique du projet Eole :

http://eole.orion.education.fr

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
if [ -e /usr/share/eole/sphynx-vpn/xml/sphynx.xml ] && {
        [ ! -e /usr/share/eole/sphynx-vpn/tunnel/.sphynx-maj ]
}
        then
              cd /usr/share/eole/sphynx-vpn/tunnel
		./update_sphynx
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,770)
/usr/share/eole/sphynx-vpn
%defattr(-,root,root,775)
/usr/share/doc/eole/sphynx-vpn

%changelog
* Thu Mar 02 2006 samuel morin <samuel.morin@ac-dijon.fr> 44eol
- supp left_nat pour nouvelles connexions
- modif algo crypto

* Thu Jan 31 2006 samuel morin <samuel.morin@ac-dijon.fr> 43eol
- strictpolicy=yes sur sphynx. comment au niveau d'amon

* Fri Jan 06 2006 gwenael remond <gwenael.remond@ac-dijon.fr> 42eol
- debug issue65 (left_priv pour tous les tunnels)

* Tue Oct 25 2005 gwenael remond <gwenael.remond@ac-dijon.fr> 41eol
- verification de l'identifiant du sphynx
- adresses left et leftnexthop privees

* Wed Sep 14 2005 gwenael remond <gwenael.remond@ac-dijon.fr> 40eol 
- possibilite de ne pas mettre de left_nat

* Wed May 25 2005 gwenael remond <gwenael.remond@ac-dijon.fr> 39eol 
- bug dans la conf ipsecConfUpdownEtab

* Thu May 10 2005 samuel morin <samuel.morin@ac-dijon.fr> 38eol
- correction spec (rgression au niveau de la dpendance et du %post) 

* Fri Apr 29 2005 samuel morin <samuel.morin@ac-dijon.fr> 37eol
- modif ajout auto d'etab

* Thu Apr 14 2005 samuel morin <samuel.morin@ac-dijon.fr> 36eol
- ajout tunnel via fichier

* Wed Jan 12 2005 samuel morin <samuel.morin@ac-dijon.fr> 34eol
- modifs specs + super-freeswan

* Mon Jan 10 2005 gwenael.remond <gwenael.remond@ac-dijon.fr> 33eol
- le multitunnel

* Mon Nov 29 2004 gwenael.remond <gwenael.remond@ac-dijon.fr> 32eol
- outil ligne de commande pour le multitunnel

* Mon Nov 15 2004 gwenael.remond <gwenael.remond@ac-dijon.fr> 31eol
- ajout du multitunnel

* Mon Feb 09 2004 gwenael.remond <gwenael.remond@ac-dijon.fr> 30eol
- purge du fichier de configuration sphynx.cfg

* Thu Dec 09 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 29eol
- effacement des fichiers de configuration vpn lors de la suppression d'un etab

* Thu Nov 20 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 28eol
- bug expression XPath "!=" dans la gestion des exceptions xsl

* Fri Jun 27 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 27eol
- ajout de l'option -t

* Fri Feb 27 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 26eol
- erreur de syntaxe

* Fri Feb 27 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 25eol
- oubli de la balise xsl:texte 

* Fri Feb 27 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 24eol
- insertions statiques au niveau connexion

* Fri Feb 14 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 23eol
- changement de syntaxe ipsec.conf

* Thu Feb 13 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 22eol
- insertion globale des tags DEB: et FIN: dans tous les fichiers

* Thu Feb 13 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 21eol
- insertion globale des tags DEB: et FIN: dans tous les fichiers

* Wed Feb 12 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 20eol
- tags de remarques sur les identifiants de connexion

* Thu Feb 11 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 19eol
- changements de syntaxe ipsec.conf

* Mon Feb 10 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 18eol
- changements de syntaxe ipsec.conf

* Thu Jan 21 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 17eol
- release sur hal

* Mon Jan 13 2003 gwenael.remond <gwenael.remond@ac-dijon.fr> 16eol
- changement de syntaxe iptables

* Thu Dec 19 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 15eol
- reglage des noms de connexion

* Thu Dec 19 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 14eol
- insertion du mode operationnel dans l'initialisation
	
* Thu Dec 19 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 13eol
- rapports du sphynx sur la sortie courante

* Wed Dec 18 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 12eol
- release candidate 5 (RC5)

* Wed Dec 18 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 11eol
- release candidate 4 (RC4)

* Wed Dec 18 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 10eol
- release candidate 3 (RC3)

* Wed Dec 18 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 9eol
- release candidate 2 (RC2)

* Thu Dec 17 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 8eol
- release candidate 1 (RC1)

* Mon Dec 16 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 7eol
- fichiers de conf ipsec_up_down

* Fri Dec 13 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 6eol
- changement du systeme de metaphore

* Thu Dec 12 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 5eol
- gestion effective des certificats en mode pki

* Fri Dec 6 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 4eol
- determination du subject avec open_ssl en mode_pki

* Wed Dec 4 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 3eol
- implementation du mode pki avec chargement depuis un fichier cfg

* Wed Dec 4 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 2eol
- implementation du mode pki

* Thu Nov 21 2002 gwenael.remond <gwenael.remond@ac-dijon.fr> 1eol
- test install sur le serveur sphynx 


# end of file
